AnsweredAssumed Answered

Cocoapod podspec with ArcGIS Runtime dependency

Question asked by pschuette22 on Nov 1, 2016
Latest reply on Apr 6, 2017 by alexis.barat23

I am trying to write a Framework with an ArcGIS dependency.

The podspec fails inspection with the message: 

- ERROR | [iOS] unknown: Encountered an unknown error (The 'Pods-App' target has transitive dependencies that include static binaries: (/**/CocoaPods/Lint/Pods/ArcGIS-Runtime-SDK-iOS/ArcGIS.framework)) during validation.

 

for this line:

Pod::Spec.new do |s|

**

  s.dependency 'ArcGIS-Runtime-SDK-iOS'

**

end

 

Is there a documented method of achieving what I have described? If not, has anyone in the community successfully built their own framework that makes use of ArcGIS and is distributed via CocoaPods?

Outcomes